#!/usr/bin/perl

# Copyright (C) 2003 by Johannes Grassler. All rights reserved. This is
# free software and can be distributed under the terms of either the
# Artistic License or the GNU General Public License which can be found
# in the files Artistic and COPYING.

use strict;
use warnings;

use Getopt::Std;
use Digest::MD5 qw"md5_hex md5";

my %opts;
getopts('i:o:h', \%opts);

my $usage = "usage: $0 -h -i <input file> -o <output file>\n";

if ( $opts{h} ) { die $usage; }

my $sourcefile = "schuelerliste";
if ( $opts{i} ) { $sourcefile = $opts{i}; }

my $outputfile = "schuelerliste_md5";
if ( $opts{o} ) { $outputfile = $opts{o}; }

open SOURCE,$sourcefile;
open DEST, ">$outputfile";

while ( my $line = <SOURCE> )
	{
	chomp $line;
	my ($username, $realname, $class, $birthdate) = split(/\t/, $line);
	my $digest = md5_hex ($realname . $birthdate);
	print DEST "$username\t$realname\t$class\t$digest\n";
	}

close SOURCE;
close DEST;
